import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SdrPaginationService } from './sdr-pagination.service';
import { SdrValidationService } from './sdr-validation.service';
export declare class SdrResourceService {
    private http;
    private paginationService;
    private validationService;
    baseUri: string;
    uri: string;
    resultEmitter: EventEmitter<any[]>;
    private lastSearch;
    constructor(http: HttpClient, paginationService: SdrPaginationService, validationService: SdrValidationService);
    setBaseUri(baseUri: string): void;
    setUri(uri: string): void;
    search(search: any): Observable<any[]>;
    searchResult(): Observable<any[]>;
    getAll(): Observable<any[]>;
    gotoPage(page: number): void;
    sortBy(field: string): void;
    refresh(): void;
    get(id: string): Observable<any>;
    private handleValidationError(error);
    post(obj: any): Observable<any>;
    put(obj: any): Observable<any>;
    patch(id: string, obj: any): Observable<any>;
    delete(obj: any): Observable<any>;
}
